## python-cobra 0.29.1

=== documentation_builder/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../documentation
AUTODIR       = _autogen

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(AUTODIR)
	-rm -rf $(BUILDDIR)/*

html:
#	sphinx-apidoc -f -d 2 -e -o $(AUTODIR) ../cobra
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cobra.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cobra.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cobra"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cobra"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== documentation_builder/requirements.txt ===
Sphinx~=5.3
sphinxcontrib-napoleon
sphinx-autoapi
nbsphinx>=0.2.4
ipykernel
matplotlib>=3.6

=== debian/changelog ===
python-cobra (0.29.1-3) unstable; urgency=medium

  * Team upload.
  * Patch-out dependency on external python3-importlib-resources.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 03 Jul 2025 00:26:36 +0200

python-cobra (0.29.1-2) unstable; urgency=medium

  * Team upload.
  * Add Python3.13 patch (Closes: #1092791)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 May 2025 11:41:59 +0200

python-cobra (0.29.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.1
  * Add a patch to replace appdirs with platformdirs (Closes: #1067989)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 14:54:56 +0200

python-cobra (0.29.0-3) unstable; urgency=medium

  * Team upload.
  * Remove reference to old python3-simplejson

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 00:49:17 +0200

python-cobra (0.29.0-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: s/libsbml5/libsbml5-dev/
    Closes: #1069985
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Apr 2024 07:31:52 +0200

=== debian/control ===
Source: python-cobra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libglpk-dev,
               python3-dev,
               python3-setuptools,
               python3-depinfo,
               python3-numpy,
               python3-optlang (>= 1.7.0-1~),
               python3-ruamel.yaml,
               python3-pandas,
               python3-pip,
               python3-pipdeptree,
               python3-requests,
               python3-swiglpk (>= 5.0.8-1~),
               python3-tabulate,
               python3-sbml5,
               cython3,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-jsonschema <!nocheck>,
               libsbml5-dev <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-platformdirs <!nocheck>,
               python3-diskcache <!nocheck>,
               python3-httpx <!nocheck>,
               python3-pydantic <!nocheck>,
               python3-rich <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/python-cobra
Vcs-Git: https://salsa.debian.org/med-team/python-cobra.git
Homepage: https://opencobra.github.io/cobrapy/
Rules-Requires-Root: no

Package: python3-cobra
Architecture: any-amd64 arm64 armel armhf any-i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe ppc64 sh4 sparc64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python-cobra-data (= ${source:Version}),
         python3-numpy,
         python3-ruamel.yaml,
         python3-pandas,
         python3-swiglpk,
         python3-tabulate,
         python3-sbml5
Suggests: python3-matplotlib,
          qsopt-ex
Description: constraint-based modeling of biological networks with Python 3
 COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
 used for genome-scale modeling of metabolic networks in both prokaryotes
 and eukaryotes. COBRApy is a constraint-based modeling package that is
 designed to accommodate the biological complexity of the next generation
 of COBRA models and provides access to commonly used COBRA methods, such
 as flux balance analysis, flux variability analysis, and gene deletion
 analyses.

Package: python-cobra-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: constraint-based modeling of biological networks (data)
 COnstraint-Based Reconstruction and Analysis (COBRA) methods are widely
 used for genome-scale modeling of metabolic networks in both prokaryotes
 and eukaryotes. COBRApy is a constraint-based modeling package that is
 designed to accommodate the biological complexity of the next generation
 of COBRA models and provides access to commonly used COBRA methods, such
 as flux balance analysis, flux variability analysis, and gene deletion
 analyses.
 .
 This package provides required and sample data files.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cobra


%:
	dh $@ --buildsystem=pybuild

# Disable building of documentation (see README.source)
#override_dh_auto_build:
#	dh_auto_build
#	$(MAKE) -C documentation_builder html

override_dh_install:
	dh_install -X update_pickles.py --package=python-cobra-data
	dh_install --remaining-packages
	find debian -name __pycache__ | xargs rm -rf

execute_after_dh_auto_clean:
	rm -f cobra/solvers/cglpk.c
	rm -rf .pytest_cache

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
	 python3-cobra,
	 python3-pytest,
	 python3-pytest-benchmark,
	 python3-jsonschema,
	 python3-scipy,
	 python3-sbml5,
	 python3-pytest-mock,
	 quilt
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="uversionmangle=s/(a|b)(\d)$/\~$1$2/,filenamemangle=s/(?:.*\/)v?(\d[\d\.]*[ab]?[\d]?)\.tar\.gz/python\-cobra\-$1.tar.gz/" \
	https://github.com/opencobra/cobrapy/tags \
	(?:.*/)?v?(\d[\d\.]*[ab]?[\d]?)\.tar\.gz
